commit:     d0ab46882ee73ce4c9fe6f4d687392ac8163a70c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 20 20:14:30 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 20 21:49:43 2025 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=d0ab4688

kde-plasma/aurorae: add 6.3.49.9999, still built from kwin repository

Achieved by setting CMAKE_USE_DIR to src/plugins/kdecorations/aurorae
in order to still be able to apply kwin stable branch patches, and using
upstream's CMakeLists.txt and a single patch taken from newly split out
plasma/aurorae repository.

See also:
https://mail.kde.org/pipermail/plasma-devel/2025-February/123642.html
https://invent.kde.org/plasma/kwin/-/merge_requests/7161
https://invent.kde.org/plasma/kwin/-/merge_requests/7148
https://invent.kde.org/plasma/kwin/-/commit/c54e2456e9deb8960fc5a2aecee9d8e7abce1c7e

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/aurorae/aurorae-6.3.49.9999.ebuild | 54 +++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/kde-plasma/aurorae/aurorae-6.3.49.9999.ebuild 
b/kde-plasma/aurorae/aurorae-6.3.49.9999.ebuild
new file mode 100644
index 0000000000..a5c99404d4
--- /dev/null
+++ b/kde-plasma/aurorae/aurorae-6.3.49.9999.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+KDE_ORG_NAME="kwin"
+KFMIN=6.10.0
+QTMIN=6.8.1
+inherit ecm plasma.kde.org
+
+DESCRIPTION="Themeable window decoration for KWin"
+HOMEPAGE="https://invent.kde.org/plasma/aurorae";
+SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${PN}.CMakeLists.txt.xz
+       
https://dev.gentoo.org/~asturm/distfiles/${PN}-6.3.2-decouple-from-libkwin.patch.xz";
+CMAKE_USE_DIR="${S}/src/plugins/kdecorations/aurorae/"
+
+LICENSE="GPL-2+ MIT"
+SLOT="6"
+KEYWORDS=""
+
+DEPEND="
+       >=dev-qt/qtbase-${QTMIN}:6[dbus,gui,opengl,widgets]
+       >=dev-qt/qtdeclarative-${QTMIN}:6
+       >=dev-qt/qttools-${QTMIN}:6[widgets]
+       >=kde-frameworks/kcmutils-${KFMIN}:6
+       >=kde-frameworks/kcolorscheme-${KFMIN}:6
+       >=kde-frameworks/kconfig-${KFMIN}:6
+       >=kde-frameworks/kcoreaddons-${KFMIN}:6
+       >=kde-frameworks/ki18n-${KFMIN}:6
+       >=kde-frameworks/knewstuff-${KFMIN}:6
+       >=kde-frameworks/kpackage-${KFMIN}:6
+       >=kde-frameworks/ksvg-${KFMIN}:6
+       >=kde-frameworks/kwindowsystem-${KFMIN}:6
+       >=kde-plasma/kdecoration-${PV}:6
+"
+RDEPEND="${DEPEND}
+       >=kde-frameworks/kirigami-${KFMIN}:6
+       !<kde-plasma/kwin-6.3.2:6
+"
+
+DOCS=( README )
+
+PATCHES=( "${WORKDIR}/${PN}-6.3.2-decouple-from-libkwin.patch" )
+
+src_prepare() {
+       mv "${WORKDIR}"/${PN}.CMakeLists.txt \
+               src/plugins/kdecorations/aurorae/CMakeLists.txt || die
+       ecm_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=( -DPROJECT_VERSION=${PV} )
+       ecm_src_configure
+}

Reply via email to